Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1932028

Summary: CVE-2021-22884 nodejs:14/nodejs: DNS rebinding in --inspect [fedora-all]
Product: [Fedora] Fedora Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: nodejsAssignee: NodeJS Packaging SIG <nodejs-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 33CC: mrunge, nodejs-sig, sgallagh, tchollingsworth, thrcka, zsvetlik
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nodejs-14-3220210223224243.43bbeeef nodejs-14-3320210223224243.601d93de nodejs-14.16.0-1.fc33 nodejs-12.21.0-2.fc32 nodejs-12-3420210225180352.058368ca nodejs-14.16.0-1.fc34 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-03-11 22:55:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Guilherme de Almeida Suckevicz 2021-02-23 19:37:44 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2021-02-23 19:37:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1932024,1932028

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-03-03 19:52:33 UTC
FEDORA-MODULAR-2021-138d75e7a8 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-138d75e7a8

Comment 3 Fedora Update System 2021-03-03 19:52:53 UTC
FEDORA-2021-6aaba80ba2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6aaba80ba2

Comment 4 Fedora Update System 2021-03-03 19:52:57 UTC
FEDORA-2021-f6bd75e9d4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f6bd75e9d4

Comment 5 Fedora Update System 2021-03-03 19:53:14 UTC
FEDORA-MODULAR-2021-f3b2f65517 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-f3b2f65517

Comment 6 Fedora Update System 2021-03-03 19:53:18 UTC
FEDORA-2021-a760169c3c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a760169c3c

Comment 7 Fedora Update System 2021-03-03 19:53:37 UTC
FEDORA-MODULAR-2021-c21a6722db has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c21a6722db

Comment 8 Fedora Update System 2021-03-03 23:05:10 UTC
FEDORA-2021-f6bd75e9d4 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f6bd75e9d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f6bd75e9d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-03 23:41:35 UTC
FEDORA-MODULAR-2021-138d75e7a8 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-138d75e7a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-03 23:43:19 UTC
FEDORA-MODULAR-2021-c21a6722db has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c21a6722db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-03 23:53:27 UTC
FEDORA-2021-a760169c3c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a760169c3c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a760169c3c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-04 16:55:13 UTC
FEDORA-2021-6aaba80ba2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6aaba80ba2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6aaba80ba2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-08 15:34:39 UTC
FEDORA-MODULAR-2021-f3b2f65517 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-f3b2f65517

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-03-11 22:55:55 UTC
FEDORA-MODULAR-2021-138d75e7a8 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-11 23:15:18 UTC
FEDORA-MODULAR-2021-c21a6722db has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-03-11 23:37:27 UTC
FEDORA-2021-a760169c3c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-03-12 00:06:57 UTC
FEDORA-2021-f6bd75e9d4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-03-19 17:46:16 UTC
FEDORA-MODULAR-2021-f3b2f65517 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-03-19 20:01:31 UTC
FEDORA-2021-6aaba80ba2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.